Subject: Re: [X2Go-Dev] Bug#1557: Windows client crashes when connecting to RHEL8

From: Adam Dorsey - NOAA Affiliate <[email-masked]>
Date: Wed, 25 Aug 2021 09:19:50 -0400

Hans,
I wonder if this is the same issue that is described in bug report #1520 (
https://bugs.x2go.org/cgi-bin/bugreport.cgi?bug=1520).  Can you try the
workaround from that bug report?

Thanks,
Adam

On Wed, Aug 25, 2021 at 6:03 AM Hans Peter Verne <[email-masked]>
wrote:

> Package: x2goclient
> Version: 4.1.2.2
>
> Hello, devs!
>
> I'm afraid this is not a very precise bug report.  Any assistance in
> how to investigate this is appreciated.
>
> We're running x2goclient 4.1.2.2 on Windows-10 machines, this has served
> us well up to now.  With our new RedHat Enterprise Server 8.4 in
> production,
> we see the client crashing very often.
>
> When the client crashes, it does so shortly after trying to log in to a
> new or existing session.  The clients "show details" window pane is
> activated,
> but the client dies before anything can be seen there.
>
> On the server, just these entries in the system logs appears:
>
> Aug 05 14:42:56 mimi.uio.no sshd[2421324]: Connection from
> 2001:700:100:4028:9462:e3c7:21c5:ec1c port 49763 on 2001:700:100:118::101
> port 22
> Aug 05 14:42:59 mimi.uio.no sshd[2421324]: Connection reset by
> 2001:700:100:4028:9462:e3c7:21c5:ec1c port 49763 [preauth]
>
> If I disable IPv6:
>
> Aug 05 14:45:30 mimi.uio.no sshd[2421601]: Connection from 193.157.161.44
> port 57619 on 129.240.118.101 port 22
> Aug 05 14:45:33 mimi.uio.no sshd[2421601]: Connection reset by
> 193.157.161.44 port 57619 [preauth]
>
> Note the absence of the "Fail password for ..." log entry.  It looks like
> it never gets to even try authenticating.
>
> There is no problem logging in with putty from the same client machine,
> both with IPv6 and IPv4.  Neither have I had this problem (at least
> not so frequent) with the Linux client.
>
> The server is running sshd and x2goserver from the RHEL8/EPEL repos,
> packages openssh-server-8.0p1-6 and x2goserver-4.1.0.3-9, respectively.
>
> I eventually tried to run sshd -ddd on the server and catch the output.
> The typescripts are attached (slightly edited): one where the client
> crashed;
> and one where it didn't (but couldn't authenticate, bad password).  I'm no
> expert on ssh, but it seems like the difference appears after the key
> exchange
> ("KEX done"), when the instance that crashed never reaches the bit with
> userauth-request.
>
> I also tried "setenforce 0" on the server, i.e. disable SELinux, but the
> client still crashed.
>
> As it is, I can't clearly provide a procedure to reproduce the problem,
> as it doesn't always happen.
>
> If more information is required, or there are suggested steps to take,
> please let me know.
>
>
> Thanks in advance, and best regards,
> --
> Hans Peter Verne  --  IT-drift Geofag.
>
> In 1934, Van der Lubbe was beheaded in a German prison yard. In 1967, a
> court
> in West Berlin overturned the 1933 verdict, and posthumously changed Van
> der
> Lubbe's sentence to eight years in prison.  -- "Reichstag fire" on
> Wikipedia.
> _______________________________________________
> x2go-dev mailing list
> [email-masked]
> https://lists.x2go.org/listinfo/x2go-dev
>

-- 
Adam Dorsey
NOAA RDHPCS Systems Administrator Site Lead
CSRA / RedLine Performance Solutions, LLC

NOAA NESCC
1000 Galliher Drive, Suite 333, Fairmont, WV 26554
office: (304) 367-2882
cell: (304) 685-9345
[email-masked]